Description

The performance of backendmodules seems to be very bad. We have to analyze that and look, how to improve.

This is just an umbrella issue, if you want to discuss specific issues, please open sub-issues. thanks.

Subtasks:
Task # 54571: Extbase: Avoid TS parsing in BE if not necessary Closed
Task # 55653: belog: cache the beusers username Resolved

History
#1 - 2013-12-22 10:20 - Felix Oertel

I looked through the issue tracker of both extbase and cms core and did not find any unresolved tickets for this topic. if you know of some, please relate
...

#2 - 2013-12-22 21:51 - Michiel Roos
- File dbLayout.jpg added

Please find attached a screenshot of a diff between two profiling runs of a 6.2 installations.

One (run2) has the sys_note extension loaded and the other has not.

You see a 300% increase in number of function calls. Also a 500% increase in load time.

I'll try do dig some more.

#3 - 2013-12-22 22:06 - Felix Oertel

Hey Michiel,

thanks for sharing. Would you mind, opening a sub-issue for that?

regards, foertel
#4 - 2014-01-02 11:19 - Michiel Roos

Hi Felix. A sub issue? This is one issue. The problem is indeed the TypoScript parsing. The total callgraph looks horrible. There is a lot of
TYPO3\CMS\Core\TypoScript\Parser\TypoScriptParser::parseSub@n going on. All is initiated by
TYPO3\CMS\Core\TypoScript\TemplateService::generateConfig. I don't see anything like this for frontend pages with extbase extensions. I don't
understand why the normal and fast runthroughTemplates is not enough to get the TS.

#5 - 2014-01-02 11:39 - Felix Oertel

Yeah, it's not, that I don't believe you, that there is a problem. :) It's just, that there are more probems like that and I wanted to have this as kind of an
umbrella issue. The TS parsing is over in #54571.

#6 - 2014-02-04 13:17 - Marc Bastian Heinrichs
- Parent task set to #55656

#7 - 2014-02-14 19:27 - Ernesto Baschny
- Project changed from Extbase MVC Framework to Core
- Category deleted (Extbase: Core)

#8 - 2014-02-14 19:27 - Ernesto Baschny
- Tracker changed from Bug to Story
- Subject changed from overall performance of backend modules to Extbase: overall performance of backend modules
- Category set to Extbase
- TYPO3 Version set to 6.2

#9 - 2014-06-27 08:22 - Felix Oertel
- Status changed from Accepted to Closed
